Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1575009 - MariaDB service does not start when system date set is 32-bit (beyond 01/19/2038)
Summary: MariaDB service does not start when system date set is 32-bit (beyond 01/19/2...
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: mysql
Version: 6.8
Hardware: x86_64
OS: Linux
unspecified
medium
Target Milestone: rc
: ---
Assignee: Michal Schorm
QA Contact: qe-baseos-daemons
URL:
Whiteboard:
Depends On:
Blocks: 1576778
TreeView+ depends on / blocked
 
Reported: 2018-05-04 14:10 UTC by Ravindra Patil
Modified: 2021-06-10 16:04 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1576778 (view as bug list)
Environment:
Last Closed: 2018-06-05 10:10:01 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Ravindra Patil 2018-05-04 14:10:56 UTC
Description of problem:
If you set the date of a system beyond the date of 01/19/2038 (i.e. 1/20) the MariaDB service (/etc/init.d/mysql) will not start

Version-Release number of selected component (if applicable):
MariaDB-server-10.1.9-1

How reproducible:


Steps to Reproduce:
1. Install mariaDB
$ yum install mariadb*

2. Change system date to 1/20/2038
$ date -s 01/20/2038

3. Now try to start mariadb service, it will not start
# /etc/init.d/mysql start

Actual results:
- Mariadb service does not start 

Expected results:
- MariaDB service should start 

Additional info:
If date is either 1/19/2038 or lower, service would start fine.

Comment 2 Michal Schorm 2018-05-10 12:28:38 UTC
Upstream issue filed:
  https://jira.mariadb.org/browse/MDEV-16135


There should be an error message displayed - that's what I can look at right now, however till the 'my_time_t' isn't 64-bit compatible, the server doesn't support dates later than 2038.

Comment 3 Michal Schorm 2018-05-12 16:27:43 UTC
This issue is solely about the service (not) starting.


The usage of timestamp inside the DB is a different issue. MariaDB does not support storing timestamps > 32-bit, DATETIME format should be used instead.
https://mariadb.com/kb/en/library/unix_timestamp/


I also expect, any user will update in the next 20 year, either OS, DB or both. (Even if only beacuse of CVEs) Which will bring him the fix, once it will be ready.


That means, this shouldn't be a real issue for now from my POV.
(And the upstream developers thinks in a simmilar way)

Comment 4 Honza Horak 2018-06-05 10:10:01 UTC
(In reply to Ravindra Patil from comment #0)
> Description of problem:
> If you set the date of a system beyond the date of 01/19/2038 (i.e. 1/20)
> the MariaDB service (/etc/init.d/mysql) will not start
> 
> Version-Release number of selected component (if applicable):
> MariaDB-server-10.1.9-1

Based on this, the user is using packages from upstream.

And also, Red Hat Enterprise Linux 6 is in the Maintenance Support 2 Phase. During the Maintenance Support 2 Phase, Critical impact Security Advisories (RHSAs) and selected Urgent Priority Bug Fix Advisories (RHBAs) may be released as they become available.

The official life cycle policy can be reviewed here:
http://redhat.com/rhel/lifecycle

This issue does not meet the inclusion criteria for the Maintenance Support 2 Phase and will be marked as CLOSED/WONTFIX. If this remains a critical requirement, please contact Red Hat Customer Support to request a re-evaluation of the issue, citing a clear business justification.  Red Hat Customer Support can be contacted via the Red Hat Customer Portal at the following URL:

https://access.redhat.com


Note You need to log in before you can comment on or make changes to this bug.